### File

`packages/ecl/components/ecl-navigation-list/ecl-navigation-list-item.component.ts`

### Description

Component that represents one navigation list item, has title and image and/or list of links/secondary links.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-navigation-list-item`
templateUrl | `ecl-navigation-list-item.component.html`

### Index

###### Properties
eclContentBlock hasBorder role
###### Methods
getCssClasses
###### Inputs
variant class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Inputs

variant
Type : `"illustration" | "image-as-illustration" | string`
Default value : `''`
Different variants, that add styling for different type of displaing the picture, used in the list item.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`
The role of the underlying HTML element is 'article', should not be changed.

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclContentBlock
Type : `EclContentBlockComponent`
Decorators : `@ContentChild(undefined)`

hasBorder
Type : `unknown`
Default value : `true`

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`
The role of the underlying HTML element is 'article', should not be changed.

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""